Page MenuHomePhabricator

Produce graph of AfC submissions for all of ACTRIAL
Closed, DeclinedPublic

Description

Per this diff to the ACTRIAL report's talk page, produce an updated graph that covers until at least the end of the trial (March 14, 2018).

Completing this task has several steps:

  1. Update the database schema so it allows for submissions to be withdrawn.
  2. Update the code so it is able to identify withdrawn (deleted) submissions.
  3. Delete the data in the staging database.
  4. Rerun the data gathering.
  5. Modify the data analysis code to produce an updated graph.

This list might also change as we go along, e.g. we also have to confirm we have all draft creations through to the end of the trial.

Event Timeline

Nettrom created this task.Apr 19 2018, 5:13 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptApr 19 2018, 5:13 PM

Any chance you could regenerate all of the plots from the 2-month set of results, but using the 6-month dataset, please?

The data gathering for this is now running, and I expect it'll take a day or two to complete. I also updated the database schema to have a column for the timestamp when a submission was withdrawn so that we can use that to better estimate the contribution to the AfC backlog from pages created in the Draft namespace (hypothesis 17).

@Mike_Peel : That's a substantial amount of work as there are several datasets and graphs. I think my limited volunteer time is best spent on work like this where generating the dataset is complicated. We have several updated datasets available from the project's dataset page, and I'd be happy to help produce other datasets as needed to generate the graphs (for example: I was already planning on producing a final dataset of all user activity measures needed for hypotheses 2–7). I encourage you to start organizing a small community of contributors who are interested in this and make a prioritized list of graphs and start working on that!

@Nettrom Do you see this task as still being useful?

@Niharika Yes, I'd like to keep this open and try to wrap it up in the near future, if that's okay with you?

@nettrom_WMF Shall we keep this task open still?

nettrom_WMF closed this task as Declined.Jul 2 2019, 8:50 PM

There doesn't appear to be much demand for this and I have other projects that require my attention, both in this capacity as well as my volunteer capacity. Declining this.